Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface ActivityNode

Deprecated. - Use `Node` instead.

public interface ActivityNode

Field Summary
`static int` | `MAX_ROLE_NAME_LENGTH` Deprecated. - use `DirectoryServices.MAX_DIR_NAME_LENGTH` instead

Method Summary
`FormRef` | `addForm(java.lang.String formName, java.lang.String formPath)` Deprecated. - use `Node.addForm()` instead
`TimerDef` | `addTimer(TimerDef timer)` Deprecated. - use `Node.addTimer()` instead
`TriggerDef` | `addTrigger(java.lang.String name, int type)` Deprecated. - use `Node.addTrigger()` instead
`java.lang.String` | `getDesc()` Deprecated. - use `Node.getDesc()` instead
`TimerDef` | `getDueDateDef()` Deprecated. - use `Node.getDueDateDef()` instead
`JavaActionSet` | `getEpilogueJavaActionSet()` Deprecated. - use `Node.getEpilogueJavaActionSet()` instead
`java.lang.String` | `getEpilogueScript()` Deprecated. - use `Node.getEpilogueScript()` instead
`FormRef[]` | `getForms()` Deprecated. - use `Node.getForms()` instead
`java.lang.String` | `getName()` Deprecated. - use `Node.getName()` instead
`long` | `getNodeId()` Deprecated. - use `Node.getNodeId()` instead.
`Plan` | `getPlan()` Deprecated. - use `Node.getPlan()` instead
`java.awt.Point` | `getPosition()` Deprecated. - use `Node.getPosition()` instead
`JavaActionSet` | `getPrologueJavaActionSet()` Deprecated. - use `Node.getPrologueJavaActionSet()` instead
`java.lang.String` | `getPrologueScript()` Deprecated. - use `Node.getPrologueScript()` instead
`java.lang.String` | `getRole()` Deprecated. - use `Node.getRole()` instead
`JavaActionSet` | `getRoleJavaActionSet()` Deprecated. - use `Node.getRoleJavaActionSet()` instead
`java.lang.String` | `getRoleScript()` Deprecated. - use `Node.getRoleScript()` instead
`TimerDef[]` | `getTimers()` Deprecated. - use `Node.getTimers()` instead
`TriggerDef` | `getTrigger(long triggerId)` Deprecated. - use `Node.getTrigger()` instead
`TriggerDef[]` | `getTriggers()` Deprecated. - use `Node.getTriggers()` instead
`TriggerDef[]` | `getTriggers(int type)` Deprecated. - use `Node.getTriggers()` instead
`int` | `getType()` Deprecated. - use `Node.getType()` instead
`void` | `removeForm(java.lang.String formName)` Deprecated. - use `Node.removeForm()` instead
`void` | `removeTimer(TimerDef td)` Deprecated. - use `Node.removeTimer()` instead
`void` | `removeTrigger(long triggerId)` Deprecated. - use `Node.removeTrigger()` instead
`void` | `removeTriggers()` Deprecated. - use `Node.removeTriggers()` instead
`void` | `reorderTimers(TimerDef[] tds)` Deprecated. - use `Node.reorderTimers()` instead
`void` | `setDesc(java.lang.String description)` Deprecated. - use `Node.setDesc()` instead
`TimerDef` | `setDueDateDef(TimerDef dd)` Deprecated. - use `Node.setDueDateDef()` instead
`void` | `setEpilogueJavaActionSet(JavaActionSet actionSet)` Deprecated. - use `Node.setEpilogueJavaActionSet()` instead
`void` | `setEpilogueScript(java.lang.String script)` Deprecated. - use `Node.setEpilogueScript()` instead
`void` | `setForms(FormRef[] forms)` Deprecated. - use `Node.setForms()` instead
`void` | `setName(java.lang.String activityNodeName)` Deprecated. - use `Node.setName()` instead
`void` | `setPosition(java.awt.Point pos)` Deprecated. - use `Node.setPosition()` instead
`void` | `setPrologueJavaActionSet(JavaActionSet actionSet)` Deprecated. - use `Node.setPrologueJavaActionSet()` instead
`void` | `setPrologueScript(java.lang.String script)` Deprecated. - use `Node.setPrologueScript()` instead
`void` | `setRole(java.lang.String role)` Deprecated. - use `Node.setRole()` instead
`void` | `setRoleJavaActionSet(JavaActionSet actionSet)` Deprecated. - use `Node.setRoleJavaActionSet()` instead
`void` | `setRoleScript(java.lang.String script)` Deprecated. - use `Node.setRoleScript()` instead
`void` | `setTimers(TimerDef[] timers)` Deprecated. - use `Node.setTimers()` instead

Field Detail

### MAX_ROLE_NAME_LENGTH

    public static final int MAX_ROLE_NAME_LENGTH

  Deprecated. - use `DirectoryServices.MAX_DIR_NAME_LENGTH` instead

  See Also:
    Constant Field Values

Method Detail

### getNodeId

    public long getNodeId()

  Deprecated. - use `Node.getNodeId()` instead.

### getName

    public java.lang.String getName()

  Deprecated. - use `Node.getName()` instead

### getDesc

    public java.lang.String getDesc()

  Deprecated. - use `Node.getDesc()` instead

### setName

    public void setName(java.lang.String activityNodeName)
                 throws ModelInternalException

  Deprecated. - use `Node.setName()` instead

  Throws:
    `ModelInternalException`

### setDesc

    public void setDesc(java.lang.String description)
                 throws ModelInternalException

  Deprecated. - use `Node.setDesc()` instead

  Throws:
    `ModelInternalException`

### getType

    public int getType()

  Deprecated. - use `Node.getType()` instead

### addForm

    public FormRef addForm(java.lang.String formName,
                           java.lang.String formPath)

  Deprecated. - use `Node.addForm()` instead

### getForms

    public FormRef[] getForms()

  Deprecated. - use `Node.getForms()` instead

### setForms

    public void setForms(FormRef[] forms)

  Deprecated. - use `Node.setForms()` instead

### removeForm

    public void removeForm(java.lang.String formName)

  Deprecated. - use `Node.removeForm()` instead

### getPlan

    public Plan getPlan()

  Deprecated. - use `Node.getPlan()` instead

### getPosition

    public java.awt.Point getPosition()

  Deprecated. - use `Node.getPosition()` instead

### setPosition

    public void setPosition(java.awt.Point pos)

  Deprecated. - use `Node.setPosition()` instead

### getRole

    public java.lang.String getRole()

  Deprecated. - use `Node.getRole()` instead

### setRole

    public void setRole(java.lang.String role)

  Deprecated. - use `Node.setRole()` instead

### getEpilogueScript

    public java.lang.String getEpilogueScript()

  Deprecated. - use `Node.getEpilogueScript()` instead

### setEpilogueScript

    public void setEpilogueScript(java.lang.String script)

  Deprecated. - use `Node.setEpilogueScript()` instead

### getPrologueScript

    public java.lang.String getPrologueScript()

  Deprecated. - use `Node.getPrologueScript()` instead

### setPrologueScript

    public void setPrologueScript(java.lang.String script)

  Deprecated. - use `Node.setPrologueScript()` instead

### getRoleScript

    public java.lang.String getRoleScript()

  Deprecated. - use `Node.getRoleScript()` instead

### setRoleScript

    public void setRoleScript(java.lang.String script)

  Deprecated. - use `Node.setRoleScript()` instead

### setTimers

    public void setTimers(TimerDef[] timers)
                   throws ModelException

  Deprecated. - use `Node.setTimers()` instead

  Throws:
    `ModelException`

### addTimer

    public TimerDef addTimer(TimerDef timer)
                      throws ModelException

  Deprecated. - use `Node.addTimer()` instead

  Throws:
    `ModelException`

### getTimers

    public TimerDef[] getTimers()
                         throws ModelException

  Deprecated. - use `Node.getTimers()` instead

  Throws:
    `ModelException`

### removeTimer

    public void removeTimer(TimerDef td)
                     throws ModelException

  Deprecated. - use `Node.removeTimer()` instead

  Throws:
    `ModelException`

### reorderTimers

    public void reorderTimers(TimerDef[] tds)
                       throws ModelException

  Deprecated. - use `Node.reorderTimers()` instead

  Throws:
    `ModelException`

### getPrologueJavaActionSet

    public JavaActionSet getPrologueJavaActionSet()

  Deprecated. - use `Node.getPrologueJavaActionSet()` instead

### getEpilogueJavaActionSet

    public JavaActionSet getEpilogueJavaActionSet()

  Deprecated. - use `Node.getEpilogueJavaActionSet()` instead

### getRoleJavaActionSet

    public JavaActionSet getRoleJavaActionSet()

  Deprecated. - use `Node.getRoleJavaActionSet()` instead

### setRoleJavaActionSet

    public void setRoleJavaActionSet(JavaActionSet actionSet)

  Deprecated. - use `Node.setRoleJavaActionSet()` instead

### setPrologueJavaActionSet

    public void setPrologueJavaActionSet(JavaActionSet actionSet)

  Deprecated. - use `Node.setPrologueJavaActionSet()` instead

### setEpilogueJavaActionSet

    public void setEpilogueJavaActionSet(JavaActionSet actionSet)

  Deprecated. - use `Node.setEpilogueJavaActionSet()` instead

### addTrigger

    public TriggerDef addTrigger(java.lang.String name,
                                 int type)
                          throws ModelException

  Deprecated. - use `Node.addTrigger()` instead

  Throws:
    `ModelException`

### getTrigger

    public TriggerDef getTrigger(long triggerId)
                          throws ModelException

  Deprecated. - use `Node.getTrigger()` instead

  Throws:
    `ModelException`

### getTriggers

    public TriggerDef[] getTriggers()
                             throws ModelException

  Deprecated. - use `Node.getTriggers()` instead

  Throws:
    `ModelException`

### getTriggers

    public TriggerDef[] getTriggers(int type)
                             throws ModelException

  Deprecated. - use `Node.getTriggers()` instead

  Throws:
    `ModelException`

### removeTrigger

    public void removeTrigger(long triggerId)
                       throws ModelException

  Deprecated. - use `Node.removeTrigger()` instead

  Throws:
    `ModelException`

### removeTriggers

    public void removeTriggers()
                        throws ModelException

  Deprecated. - use `Node.removeTriggers()` instead

  Throws:
    `ModelException`

### setDueDateDef

    public TimerDef setDueDateDef(TimerDef dd)
                           throws ModelException

  Deprecated. - use `Node.setDueDateDef()` instead

  Throws:
    `ModelException`

### getDueDateDef

    public TimerDef getDueDateDef()
                           throws ModelException

  Deprecated. - use `Node.getDueDateDef()` instead

  Throws:
    `ModelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD